Home Class/Enum List File List Compound Members

# RtAudio::DeviceInfo Struct Reference

The public device information structure for returning queried values. More...

`#include <RtAudio.h>`

List of all members.

## Public Attributes
bool | probed
std::string | name
unsigned int | outputChannels
unsigned int | inputChannels
unsigned int | duplexChannels
bool | isDefaultOutput
bool | isDefaultInput
std::vector< unsigned int > | sampleRates
RtAudioFormat | nativeFormats

## Detailed Description

The public device information structure for returning queried values.

## Member Data Documentation

bool RtAudio::DeviceInfo::probed

true if the device capabilities were successfully probed.

std::string RtAudio::DeviceInfo::name

Character string device identifier.

unsigned int RtAudio::DeviceInfo::outputChannels

Maximum output channels supported by device.

unsigned int RtAudio::DeviceInfo::inputChannels

Maximum input channels supported by device.

unsigned int RtAudio::DeviceInfo::duplexChannels

Maximum simultaneous input/output channels supported by device.

bool RtAudio::DeviceInfo::isDefaultOutput

true if this is the default output device.

bool RtAudio::DeviceInfo::isDefaultInput

true if this is the default input device.

std::vector<unsigned int> RtAudio::DeviceInfo::sampleRates

Supported sample rates (queried from list of standard rates).

RtAudioFormat RtAudio::DeviceInfo::nativeFormats

Bit mask of supported data formats.

The documentation for this struct was generated from the following file:

- RtAudio.h

| ©2001-2012 Gary P. Scavone, McGill University. All Rights Reserved. Maintained by Gary P. Scavone.